/** RockClassifier.java classifies rocks of various kinds.
 *  Input:  names of rocks
 *  Output: attributes of rocks
 */

import ann.easyio.*;                    // Screen, Keyboard	

class RockClassifier extends Object
{
  public static void main(String [] args)
  {
    Screen theScreen = new Screen();
    Keyboard theKeyboard = new Keyboard();
    String rockString = "";
    Rock aRock = null;

    for (;;)
    {
      theScreen.print("\nTo see the attributes of a rock, enter its name\n"
                      + " (enter a non-rock to quit): ");
      rockString = theKeyboard.readWord();

      try
      {
         aRock = (Rock) Class.forName(rockString).newInstance();
      }
      catch (Exception anException)
      {
         System.exit(0);
      }

      theScreen.println("\n" + aRock.getDescription() );
    }
  }
}
